Debian Bug report logs - #333848
menu: should Suggests or Recommends: menu-xdg

version graph

Package: menu; Maintainer for menu is Bill Allombert <ballombe@debian.org>; Source for menu is src:menu.

Reported by: Ben Finney <ben+debian@benfinney.id.au>

Date: Fri, 14 Oct 2005 03:48:02 UTC

Severity: normal

Found in version menu/2.1.25

Done: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#333848; Package menu. Full text and rfc822 format available.

Acknowledgement sent to Ben Finney <ben+debian@benfinney.id.au>:
New Bug report received and forwarded. Copy sent to Bill Allombert <ballombe@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: menu: should Suggests or Recommends: menu-xdg
Date: Fri, 14 Oct 2005 13:31:17 +1000
Package: menu
Version: 2.1.25
Severity: normal


The 'menu' package provides desktop menus, but the Debian menu is
mysteriously not available until the 'menu-xdg' package is installed.
However, this isn't made clear by the package description or metadata.

The control information for the 'menu' package should have
(preferably) 'Recommends: menu-xdg' or (at minimum) 'Suggests:
menu-xdg'.


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_AU.UTF-8)

menu recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#333848; Package menu. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. Full text and rfc822 format available.

Message #10 received at 333848@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: Ben Finney <ben+debian@benfinney.id.au>, 333848@bugs.debian.org
Subject: Re: Bug#333848: menu: should Suggests or Recommends: menu-xdg
Date: Fri, 14 Oct 2005 09:35:05 +0200
On Fri, Oct 14, 2005 at 01:31:17PM +1000, Ben Finney wrote:
> Package: menu
> Version: 2.1.25
> Severity: normal
> 
> 
> The 'menu' package provides desktop menus, but the Debian menu is
> mysteriously not available until the 'menu-xdg' package is installed.
> However, this isn't made clear by the package description or metadata.
> 
> The control information for the 'menu' package should have
> (preferably) 'Recommends: menu-xdg' or (at minimum) 'Suggests:
> menu-xdg'.

Hello Ben,
Packages that uses XDG menu must depends on menu-xdg, so I don't see
the point on menu Recommending it ?

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#333848; Package menu. Full text and rfc822 format available.

Acknowledgement sent to Barry Hawkins <barry@bytemason.org>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. Full text and rfc822 format available.

Message #15 received at 333848@bugs.debian.org (full text, mbox):

From: Barry Hawkins <barry@bytemason.org>
To: 333848@bugs.debian.org
Cc: Andrew Sackville-West <andrew@farwestbilliards.com>, H jj <hjjhjj@gmail.com>, Niall Donegan <niall@moybella.net>
Subject: Additional endorsement for this recommendation
Date: Fri, 14 Oct 2005 10:49:51 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

    I agree that this action would be a good thing.  I spent time over a
six week period trying to figure out where my Debian menu went and how
to get it back.  I posted to the debian-user mailing list a couple[0] of
times[1] regarding this.  Multiple users emailed me off-list to see if I
had resolved this issue, because they, too, were struggling with it.  I
have copied some of them so that they could weigh in as well.
    I also made a weblog entry about it[2]; within 30 minutes I received
a thank-you email from a user who had been experiencing the same problem
and read the syndicated post on planet.debian.net.

[0] - http://lists.debian.org/debian-user/2005/08/msg03804.html
[1] - http://lists.debian.org/debian-user/2005/10/msg01203.html
[2] -
http://www.yepthatsme.com/2005/10/12/if-your-debian-menu-in-gnome-ever-disappears/

Regards,
- --
Barry Hawkins
site: www.bytemason.org
weblog: www.yepthatsme.com

Registered Linux User #368650
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFDT8WOHuKcDICy0QoRAkRtAJ4pAXPpvkAEflk2LNib+z5SPbzzhwCePsI7
RTpKTjauJ3mQbEuHehqKMKk=
=D7c+
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#333848; Package menu. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. Full text and rfc822 format available.

Message #20 received at 333848@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: Barry Hawkins <barry@bytemason.org>, 333848@bugs.debian.org
Cc: 333848-submitter@bugs.debian.org, 322517@bugs.debian.org
Subject: Re: Bug#333848: Additional endorsement for this recommendation
Date: Fri, 14 Oct 2005 18:34:04 +0200
On Fri, Oct 14, 2005 at 10:49:51AM -0400, Barry Hawkins wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
>     I agree that this action would be a good thing.  I spent time over a
> six week period trying to figure out where my Debian menu went and how
> to get it back.  I posted to the debian-user mailing list a couple[0] of
> times[1] regarding this.  Multiple users emailed me off-list to see if I
> had resolved this issue, because they, too, were struggling with it.  I
> have copied some of them so that they could weigh in as well.
>     I also made a weblog entry about it[2]; within 30 minutes I received
> a thank-you email from a user who had been experiencing the same problem
> and read the syndicated post on planet.debian.net.
> 
> [0] - http://lists.debian.org/debian-user/2005/08/msg03804.html
> [1] - http://lists.debian.org/debian-user/2005/10/msg01203.html
> [2] -
> http://www.yepthatsme.com/2005/10/12/if-your-debian-menu-in-gnome-ever-disappears/

Hello Barry,

It seems to me that you have hit bug #322517 against gnome-panel:
gnome-panel needs to Depends on menu-xdg since it support XDG menu.

As the menu maintainers, I can do nothing about this.

Thanks for using Debian menu,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Message sent on to Ben Finney <ben+debian@benfinney.id.au>:
Bug#333848. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#333848; Package menu. Full text and rfc822 format available.

Acknowledgement sent to Barry Hawkins <barry@bytemason.org>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. Full text and rfc822 format available.

Message #28 received at 333848@bugs.debian.org (full text, mbox):

From: Barry Hawkins <barry@bytemason.org>
To: Bill Allombert <allomber@math.u-bordeaux.fr>
Cc: 333848@bugs.debian.org, 333848-submitter@bugs.debian.org, 322517@bugs.debian.org
Subject: Re: Bug#333848: Additional endorsement for this recommendation
Date: Fri, 14 Oct 2005 13:05:11 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Bill Allombert wrote:
[...]
> Hello Barry,
> 
> It seems to me that you have hit bug #322517 against gnome-panel:
> gnome-panel needs to Depends on menu-xdg since it support XDG menu.
> 
> As the menu maintainers, I can do nothing about this.
[...]
Bill,
    Thanks for the info; should this bug perhaps be merged with #322517
for gnome-panel?  It sounds like that makes the most sense.  I figured
there were some subtleties that might make the menu package not be the
best place to try and address the situation.  Thanks for all the work on
menu.  Looks like the transition is rolling along!

Regards,
- --
Barry Hawkins
site: www.bytemason.org
weblog: www.yepthatsme.com

Registered Linux User #368650
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFDT+VHHuKcDICy0QoRAp2rAJ9/FMk43Sszo1CRft/K2uvP7vKA+ACg2t2G
XNPi8pxPFAehC7nRj/OBWcY=
=44zA
-----END PGP SIGNATURE-----



Message sent on to Ben Finney <ben+debian@benfinney.id.au>:
Bug#333848. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#333848; Package menu. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. Full text and rfc822 format available.

Message #36 received at 333848@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Ben Finney <ben+debian@benfinney.id.au>, 333848@bugs.debian.org
Subject: Re: Bug#333848: menu: should Suggests or Recommends: menu-xdg
Date: Wed, 6 Jun 2007 13:17:22 +0200
On Fri, Oct 14, 2005 at 01:31:17PM +1000, Ben Finney wrote:
> Package: menu
> Version: 2.1.25
> Severity: normal
> 
> 
> The 'menu' package provides desktop menus, but the Debian menu is
> mysteriously not available until the 'menu-xdg' package is installed.
> However, this isn't made clear by the package description or metadata.
> 
> The control information for the 'menu' package should have
> (preferably) 'Recommends: menu-xdg' or (at minimum) 'Suggests:
> menu-xdg'.

Since all desktop environment that use XDG menu now depend on 
menu-xdg, I am closing this report.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Reply sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ben Finney <ben+debian@benfinney.id.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #41 received at 333848-done@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Ben Finney <ben+debian@benfinney.id.au>, 333848-done@bugs.debian.org
Subject: Re: Bug#333848: menu: should Suggests or Recommends: menu-xdg
Date: Wed, 6 Jun 2007 14:20:04 +0200
On Wed, Jun 06, 2007 at 01:17:22PM +0200, Bill Allombert wrote:
> On Fri, Oct 14, 2005 at 01:31:17PM +1000, Ben Finney wrote:
> > Package: menu
> > Version: 2.1.25
> > Severity: normal
> > 
> > 
> > The 'menu' package provides desktop menus, but the Debian menu is
> > mysteriously not available until the 'menu-xdg' package is installed.
> > However, this isn't made clear by the package description or metadata.
> > 
> > The control information for the 'menu' package should have
> > (preferably) 'Recommends: menu-xdg' or (at minimum) 'Suggests:
> > menu-xdg'.
> 
> Since all desktop environment that use XDG menu now depend on 
> menu-xdg, I am closing this report.

Really closing it now.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Jul 2007 07:46:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:19:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.